=head1 NAME

GStreamer::Index

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Index



=cut


=head1 METHODS

=head2 index = GStreamer::Index-E<gt>B<new> 

=head2 integer = $index-E<gt>B<new_group> 

=head2 indexentry or undef = $index-E<gt>B<add_association> ($id, $flags, $format, $value, ...)

=over

=item * $id (integer) 

=item * $flags (GStreamer::AssocFlags) 

=item * $format (GStreamer::Format) 

=item * $value (64 bit integer) 

=item * ... (list) 

=back

=head2 indexentry or undef = $index-E<gt>B<add_format> ($id, $format)

=over

=item * $id (integer) 

=item * $format (GStreamer::Format) 

=back

=head2 indexentry or undef = $index-E<gt>B<add_id> ($id, $description)

=over

=item * $id (integer) 

=item * $description (string) 

=back

=head2 indexentry or undef = $index-E<gt>B<add_object> ($id, $key, $object)

=over

=item * $id (integer) 

=item * $key (string) 

=item * $object (scalar) 

=back

=head2 indexentry or undef = $index-E<gt>B<get_assoc_entry> ($id, $method, $flags, $format, $value)

=over

=item * $id (integer) 

=item * $method (GStreamer::IndexLookupMethod) 

=item * $flags (GStreamer::AssocFlags) 

=item * $format (GStreamer::Format) 

=item * $value (64 bit integer) 

=back

=head2 indexcertainty = $index-E<gt>B<get_certainty> 

=head2 $index-E<gt>B<set_certainty> ($certainty)

=over

=item * $certainty (GStreamer::IndexCertainty) 

=back

=head2 $index-E<gt>B<commit> ($id)

=over

=item * $id (integer) 

=back

=head2 $index-E<gt>B<set_filter> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 integer = $index-E<gt>B<get_group> 

=head2 boolean = $index-E<gt>B<set_group> ($groupnum)

=over

=item * $groupnum (integer) 

=back

=head2 $index-E<gt>B<set_resolver> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 integer = $index-E<gt>B<get_writer_id> ($writer)

=over

=item * $writer (GStreamer::Object) 

=back



=cut


=head1 PROPERTIES

=over

=item 'resolver' (GstIndexResolver : default "path" : readable / writable / private)

Select a predefined object to string mapper

=back



=cut


=head1 SIGNALS

=over

=item B<entry-added> (GStreamer::Index, GStreamer::IndexEntry)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags GStreamer::AssocFlags

=over

=item * 'none' / 'GST_ASSOCIATION_FLAG_NONE'

=item * 'key-unit' / 'GST_ASSOCIATION_FLAG_KEY_UNIT'

=item * 'delta-unit' / 'GST_ASSOCIATION_FLAG_DELTA_UNIT'

=item * 'last' / 'GST_ASSOCIATION_FLAG_LAST'

=back


=head2 enum GStreamer::Format

=over

=item * 'undefined' / 'GST_FORMAT_UNDEFINED'

=item * 'default' / 'GST_FORMAT_DEFAULT'

=item * 'bytes' / 'GST_FORMAT_BYTES'

=item * 'time' / 'GST_FORMAT_TIME'

=item * 'buffers' / 'GST_FORMAT_BUFFERS'

=item * 'percent' / 'GST_FORMAT_PERCENT'

=back


=head2 enum GStreamer::IndexCertainty

=over

=item * 'unknown' / 'GST_INDEX_UNKNOWN'

=item * 'certain' / 'GST_INDEX_CERTAIN'

=item * 'fuzzy' / 'GST_INDEX_FUZZY'

=back


=head2 enum GStreamer::IndexLookupMethod

=over

=item * 'exact' / 'GST_INDEX_LOOKUP_EXACT'

=item * 'before' / 'GST_INDEX_LOOKUP_BEFORE'

=item * 'after' / 'GST_INDEX_LOOKUP_AFTER'

=back


=head2 enum GstIndexResolver

=over

=item * 'custom' / 'GST_INDEX_RESOLVER_CUSTOM'

=item * 'gtype' / 'GST_INDEX_RESOLVER_GTYPE'

=item * 'path' / 'GST_INDEX_RESOLVER_PATH'

=back




=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

